Get a namespace's settings
What is currently set for this namespace. instructions: null means none are set and summaries use the neutral default.
GET
/
ai
/
memory
/
namespaces
/
{namespace}
/
settings
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.ai.memory.namespaces.settings.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.ai.memory.namespaces.settings.list(
"namespace",
)
print(page.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
settings, err := client.AI.Memory.Namespaces.Settings.List(
context.TODO(),
"namespace",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", settings.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.ai().memory().namespaces().settings().list("namespace");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.ai.memory.namespaces.settings.list("namespace")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->ai->memory->namespaces->settings->list(
'namespace',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:memory:namespaces:settings list \
--api-key 'My API Key' \
--namespace namespacecurl --request GET \
--url https://api.telnyx.com/v2/ai/memory/namespaces/{namespace}/settings \
--header 'Authorization: Bearer <token>'{
"data": {
"summary": {
"instructions": null
}
}
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "Could not find any usable credentials in the request.",
"source": {
"pointer": "/"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "namespace_not_found",
"detail": "no such namespace"
}
]
}{
"errors": [
{
"code": "upstream_error",
"detail": "the memory dataplane is unavailable"
}
]
}Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.ai.memory.namespaces.settings.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.ai.memory.namespaces.settings.list(
"namespace",
)
print(page.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
settings, err := client.AI.Memory.Namespaces.Settings.List(
context.TODO(),
"namespace",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", settings.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.ai().memory().namespaces().settings().list("namespace");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.ai.memory.namespaces.settings.list("namespace")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->ai->memory->namespaces->settings->list(
'namespace',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:memory:namespaces:settings list \
--api-key 'My API Key' \
--namespace namespacecurl --request GET \
--url https://api.telnyx.com/v2/ai/memory/namespaces/{namespace}/settings \
--header 'Authorization: Bearer <token>'{
"data": {
"summary": {
"instructions": null
}
}
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "Could not find any usable credentials in the request.",
"source": {
"pointer": "/"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "namespace_not_found",
"detail": "no such namespace"
}
]
}{
"errors": [
{
"code": "upstream_error",
"detail": "the memory dataplane is unavailable"
}
]
}